components:
  schemas:
    TaskService_v1_0_0_OverWritePolicy:
      enum:
      - Manual
      - Oldest
      type: string
      x-enumDescriptions:
        Manual: Completed tasks are not automatically overwritten.
        Oldest: Oldest completed tasks are overwritten.
    TaskService_v1_0_0_TaskService:
      additionalProperties: false
      description: This is the schema definition for the Task Service.  It represents
        the properties for the service itself and has links to the actual list of
        tasks.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_context
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_type
        CompletedTaskOverWritePolicy:
          $ref: '#/components/schemas/TaskService_v1_0_0_OverWritePolicy'
          description: Overwrite policy of completed tasks.
          readOnly: true
          x-longDescription: The value of this property shall indicate how completed
            tasks are handled should the task service need to track more tasks.
        DateTime:
          description: The current DateTime (with offset) setting that the task service
            is using.
          format: date-time
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value of this property shall represent the current
            DateTime value for the TaskService, with offset from UTC, in Redfish Timestamp
            format.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        LifeCycleEventOnTaskStateChange:
          description: Send an Event upon Task State Change.
          readOnly: true
          type: boolean
          x-longDescription: The value of this property, if set to true, shall indicate
            that the service shall send a LifeCycle event to ListenerDestinations
            registered for such events upon change of task state.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
        ServiceEnabled:
          description: This indicates whether this service is enabled.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: The value of this property shall be a boolean indicating
            whether this service is enabled.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
        Tasks:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: References to the Tasks collection.
          readOnly: true
          x-longDescription: The value of this property shall be a link to a resource
            of type TaskCollection.
      required:
      - Id
      - Name
      type: object
      x-longDescription: This resource shall be used to represent a task service for
        a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
title: '#TaskService.v1_0_0.TaskService'
x-copyright: Copyright 2014-2016 Distributed Management Task Force, Inc. (DMTF). For
  the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
